Subject: Re: [RFC/PATCH] remove gratuitous reads from maple pci config space methods

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 11 Aug 2007 18:41:29 -0500

> It should be fine on PowerMac as well -- all G5s use U3/U4,
> the workaround is for certain older Apple bridge chips.

Yeah, remove them. The workaround that is needed afaik is really only
the one that reads back the -address- before accessing the data register
(and I think it's sill needed on U3), but it's unrelated to what that
patch changes.

As I said on IRC, I suspect those reads come from misguided attempts on
my part to avoid the processor itself posting those writes, since we
want config space access to be synchronous all the way. In that case,
however, a sync will do the job just fine to ensure the previous write
did hit the bridge.

Cheers,
Ben.